Last Comment Bug 194147 - Selecting "Mark As" causes Quick Search not to work on "m" and "r"
: Selecting "Mark As" causes Quick Search not to work on "m" and "r"
Status: RESOLVED FIXED
: fixed1.8
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal with 1 vote (vote)
: ---
Assigned To: Stefan [:stefanh] (away until May 28)
: esther
Mentors:
Depends on: 195979
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-19 18:21 PST by Ninoschka Baca
Modified: 2005-12-10 08:53 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Don't display single commandkeys in mac menuitems (7.15 KB, patch)
2005-10-28 12:04 PDT, Stefan [:stefanh] (away until May 28)
neil: review+
neil: superreview+
Details | Diff | Review
Remove Shift+key combos in Mark submenu as well (8.63 KB, patch)
2005-11-14 11:25 PST, Stefan [:stefanh] (away until May 28)
neil: review+
neil: superreview+
Details | Diff | Review
Updated version, carrying over flags (checked in on trunk/branch) (8.99 KB, patch)
2005-11-15 06:09 PST, Stefan [:stefanh] (away until May 28)
stefanh: review+
stefanh: superreview+
kairo: approval‑seamonkey1.0+
Details | Diff | Review

Description Ninoschka Baca 2003-02-19 18:21:31 PST
Trunk build 2003-02-19: Mac 10.2

Overview: You can get into a state where a Quick Search using the letters "m" or
"r" won't work and don't even appear in the Quick Search text box. Instead the
Message menu flashes.

Steps to reproduce:
1. Select a message in the thread pane
2. Select Message|Mark|As Read
3. Type "m" (or "r") in the Quick Search text box

Actual Results: The Message menu flashes and the text you just entered does not
appear in the Quick Search text box therefore you cannot search on items that
include an "m" or an "r".

In Step 2 you can actually choose any item within the Message|Mark and the same
problem will occur (i.e. Thread as Read, All Read, Flag etc...).

Interesting that the letters that are effected also appear in the Message menu
and are the only ones that have accelerators that require a shift (looks lilke
an up arrow)
- Message|New Message has Shift+Ctrl+M 
- Message|Reply to All has Shift+Ctrl+R 

Workaround: Select the Message menu, now "m" and "r" will work.

Expected Results: Quick Search on any letter should perform as expected.
Selecting a menu item should not disable this function.
Comment 1 Ninoschka Baca 2003-02-19 18:27:01 PST
Marking nsbeta1.

But I just checked and it was also a problem in Netscape 7.01.
Comment 2 Samir Gehani 2003-03-07 11:37:55 PST
Mail triage team: nsbeta1-
Comment 3 sairuh (rarely reading bugmail) 2003-03-12 15:18:25 PST
see also bug 195830, where something similar happens with ' and / (for find as
you type) after you view the Edit menu.

i'd say both this and 195830 are blocked by 195979.
Comment 4 Simon Fraser 2003-03-12 15:31:11 PST
This problem happens because 'M' and 'R' are used as unmodified menu shortcuts
in the Message->Mark submenu. The menus on Mac always get first crack at events.
Comment 5 Samir Gehani 2003-03-12 16:29:31 PST
Mail triage team: nsbeta1-
Comment 6 Kathleen Brade 2003-03-13 07:22:21 PST
This an incredibly frustrating bug and really should be addressed.

Can we at least release note a workaround for Mac users?
Comment 7 (not reading, please use seth@sspitzer.org instead) 2003-03-13 19:56:32 PST
should we do the same thing as aaronl did for bug #195830?

see http://bugzilla.mozilla.org/attachment.cgi?id=116833&action=view

or should we wait for bug #195979 to be fixed?
Comment 8 H'ik 2004-12-21 12:00:34 PST
I can confirm this with Thunderbird 1.0 Release NL and EN-US.

Typing 'k' in the search box issues 'ignore thread' command. The same happens
with all one key commands.

(Workaround: always use command key modifier. That would also make TB more Aqua
HIG compliant.)

Seems to be very similar to Bug #199019

(please set the severity to major or critical, as this bug really disables the
search box)
Comment 9 Stefan [:stefanh] (away until May 28) 2005-10-28 12:04:46 PDT
Created attachment 201172 [details] [diff] [review]
Don't display single commandkeys in mac menuitems

I hate this, but i suppose this is the only way of fixing the issue right now. Just remove any single key from its menuitem. The keys will still work, but you won't see them in the menu. mcscott did this for Thunderbird a while ago.
Comment 10 neil@parkwaycc.co.uk 2005-10-28 13:35:26 PDT
Comment on attachment 201172 [details] [diff] [review]
Don't display single commandkeys in mac menuitems

Fine, except you missed a bunch of keys; firstly, all six label keys (0-5) and secondly, three captial letters - not Junk, not Scam, show Remote content.
Comment 11 Stefan [:stefanh] (away until May 28) 2005-10-29 04:23:49 PDT
(In reply to comment #10)
> (From update of attachment 201172 [details] [diff] [review] [edit])
> Fine, except you missed a bunch of keys; firstly, all six label keys (0-5)

We don't need to remove  those. Typing those numbers in the search box doesn't trigger the bug.

> and
> secondly, three captial letters - not Junk, not Scam, show Remote content.
>

To trigger the bug with those ones the user needs to enter both "Shift" and the relevant key (j, r, p) in the search box. I thought that was a rare case.

 
Comment 12 Stefan [:stefanh] (away until May 28) 2005-10-31 15:48:47 PST
Comment on attachment 201172 [details] [diff] [review]
Don't display single commandkeys in mac menuitems

(In reply to comment #11)
> (In reply to comment #10)
> > (From update of attachment 201172 [details] [diff] [review] [edit] [edit])
> > Fine, except you missed a bunch of keys; firstly, all six label keys (0-5)
> 
> We don't need to remove  those. Typing those numbers in the search box doesn't
> trigger the bug.
We don't even show the keys on mac ;)
Comment 13 neil@parkwaycc.co.uk 2005-11-01 02:28:41 PST
Comment on attachment 201172 [details] [diff] [review]
Don't display single commandkeys in mac menuitems

D'oh, I was confusing accesskeys with accelerators :-[
I'm not convinced about the upper case keys though.
Comment 14 Stefan [:stefanh] (away until May 28) 2005-11-14 11:25:37 PST
Created attachment 203018 [details] [diff] [review]
Remove Shift+key combos in Mark submenu as well

New version that also removes Shift+key in the "Mark" submenu on Mac (per irc discussion with Neil)
Comment 15 neil@parkwaycc.co.uk 2005-11-15 03:50:14 PST
Comment on attachment 203018 [details] [diff] [review]
Remove Shift+key combos in Mark submenu as well

Nit: 8-space indentation is probably wrong for the win version. And if you're going to fix the VK_DELETE indentation, please fix it in the unix version too.
Comment 16 Stefan [:stefanh] (away until May 28) 2005-11-15 06:09:09 PST
Created attachment 203114 [details] [diff] [review]
Updated version, carrying over flags (checked in on trunk/branch)

Updated version: Fixed indentation in win file (also added one empty line under the delete key section) and VK_DELETE key indentation in unix file. Carrying over flags and asking approval 1.8rc2 for a seamonkey-only change.
Comment 17 Stefan [:stefanh] (away until May 28) 2005-11-20 23:17:41 PST
Comment on attachment 203114 [details] [diff] [review]
Updated version, carrying over flags (checked in on trunk/branch)

Low risk, SeaMonkey only...
Comment 18 Stefan [:stefanh] (away until May 28) 2005-12-03 06:39:26 PST
Comment on attachment 203114 [details] [diff] [review]
Updated version, carrying over flags (checked in on trunk/branch)

Checked in on trunk, waiting for branch approval.
Comment 19 Stefan [:stefanh] (away until May 28) 2005-12-09 09:17:14 PST
Comment on attachment 203114 [details] [diff] [review]
Updated version, carrying over flags (checked in on trunk/branch)

This works around a long-time standing mac issue, has baked on trunk for a  while...
Comment 20 Ian Neal 2005-12-09 15:57:22 PST
Comment on attachment 203114 [details] [diff] [review]
Updated version, carrying over flags (checked in on trunk/branch)

a=me, one more needed...
Comment 21 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2005-12-10 08:31:53 PST
I checked the patch in on branch.  Since you didn't mark the bug as fixed, I'm not setting fixed1.8 - you can do that if it is in fact fixed.
Comment 22 Stefan [:stefanh] (away until May 28) 2005-12-10 08:53:19 PST
I'm going to mark this as fixed. The root problem is not fixed, but Search works as expected now. Once bug 195979 is fixed, we can put the keys back.

Note You need to log in before you can comment on or make changes to this bug.